Package org.apache.ignite.internal.cache.query

## Class RangeIndexQueryCriterion

- java.lang.Object
- - org.apache.ignite.internal.cache.query.RangeIndexQueryCriterion

All Implemented Interfaces:
  `Serializable`, `IndexQueryCriterion`

    public final class RangeIndexQueryCriterion
    extends Object
    implements IndexQueryCriterion

Range index criterion that applies to BPlusTree based indexes.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`RangeIndexQueryCriterion​(String field, Object lower, Object upper)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `field()`
`Object` `lower()`
`boolean` `lowerIncl()`
`void` `lowerIncl​(boolean lowerIncl)`
`boolean` `lowerNull()`
`void` `lowerNull​(boolean lowerNull)`
`RangeIndexQueryCriterion` `swap()` Swap boundaries.
`String` `toString()`
`Object` `upper()`
`boolean` `upperIncl()`
`void` `upperIncl​(boolean upperIncl)`
`boolean` `upperNull()`
`void` `upperNull​(boolean upperNull)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RangeIndexQueryCriterion

    public RangeIndexQueryCriterion​(String field,
                                    Object lower,
                                    Object upper)

### Method Detail

#### swap

    public RangeIndexQueryCriterion swap()

Swap boundaries.

#### lower

    public Object lower()

#### upper

    public Object upper()

#### lowerIncl

    public void lowerIncl​(boolean lowerIncl)

#### lowerIncl

    public boolean lowerIncl()

#### upperIncl

    public void upperIncl​(boolean upperIncl)

#### upperIncl

    public boolean upperIncl()

#### lowerNull

    public void lowerNull​(boolean lowerNull)

#### lowerNull

    public boolean lowerNull()

#### upperNull

    public void upperNull​(boolean upperNull)

#### upperNull

    public boolean upperNull()

#### field

    public String field()

Specified by:
  `field` in interface `IndexQueryCriterion`
Returns:
  Index field name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`